﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace AirPlaneWithRadar
{
    [Serializable]
    internal class PlainNotFoundException : ApplicationException
    {
        public PlainNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public PlainNotFoundException() : base() { }
        public PlainNotFoundException(string message) : base(message) { }
        public PlainNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected PlainNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}
