﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace AirPlaneWithRadar
{
    [Serializable]
    internal class StorageOverFullException : ApplicationException
    {
        public StorageOverFullException(int count) : base($"В наборе превышено допустимое количество: {count}") { }
        public StorageOverFullException() : base() { }
        public StorageOverFullException(string message) : base(message) { }
        public StorageOverFullException(string message, Exception exception) : base(message, exception) { }
        protected StorageOverFullException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }

    }
}
